# $Revision: 1.10 $, $Date: 2009/06/23 11:44:44 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Geography
%define	pnam	Countries
Summary:	Geography::Countries - 2-letter, 3-letter, and numerical codes for countries
Summary(pl.UTF-8):	Geography::Countries - 2-, 3-literowe i numeryczne kody krajów
Name:		perl-Geography-Countries
Version:	2009041301
Release:	1
License:	Unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2c9ef26b46bbeca9abbca5015cc748b9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module maps country names, and their 2-letter, 3-letter and
numerical codes, as defined by the ISO-3166 maintenance agency,
and defined by the UNSD.

%description -l pl.UTF-8
Ten moduł odwzorowuje nazwy krajów oraz ich 2-, 3-literowe i liczbowe
kody zgodnie z definicją ISO-3166.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Geography
%{perl_vendorlib}/Geography/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Geography-Countries.spec,v $
Revision 1.10  2009/06/23 11:44:44  amateja
- updated to 2009041301

Revision 1.9  2008/07/27 22:25:31  arekm
- release 4

Revision 1.8  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.6  2005/10/17 08:57:55  hawk
- release 3 (2 is for Ra)

Revision 1.5  2005/09/22 20:12:53  arekm
- rel 1

Revision 1.4  2005/03/15 20:51:17  qboosh
- added Geography dir (not used by any other package now)

Revision 1.3  2005/03/15 20:46:01  qboosh
- removed API docs from desc, added pl desc

Revision 1.2  2005/03/13 19:59:14  zbyniu
- md5 mismatch

Revision 1.1  2005/03/13 19:05:23  zbyniu
- initial
